SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001674SiT!billingpublic2011-08-06 16:492013-07-06 17:09
Reporterivan 
Assigned Topaulh 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product VersionCurrent GIT 
Target Version3.90beta1Fixed in VersionCurrent GIT 
Summary0001674: Per incident billing charges per unit
DescriptionEven when a contract is set to use per incident billing the Activities menu on an incident shows to record time (and units) spent and recording activity causes the contract to be billed per-unit.
Steps To ReproduceWith a contract that has only one service record and that service is set to "per incident" I created an incident.

I then went to activities and started/edited and stopped an activity.

I then closed the incident and went to approve the billing.
TagsNo tags attached.
Attached Filespng file icon sit3.90-billing7.png [^] (30,739 bytes) 2011-08-06 16:49

- Relationships
duplicate of 0001854resolvedpaulh Per incident billing does not work 

-  Notes
User avatar (0004168)
ivan (administrator)
2011-08-06 16:53

Also if I repeat the experiment but don't add any activity at all before closing the incident it doesn't show for billing approval at all.
User avatar (0004761)
paulh (administrator)
2013-04-01 15:47

Looks like we never wrote the code for per incident, I've stared to refactor the code to make it possible
User avatar (0004771)
paulh (administrator)
2013-04-21 19:22

342a0ec adds this functionality

- Issue History
Date Modified Username Field Change
2011-08-06 16:49 ivan New Issue
2011-08-06 16:49 ivan File Added: sit3.90-billing7.png
2011-08-06 16:53 ivan Note Added: 0004168
2013-04-01 15:47 paulh Relationship added duplicate of 0001854
2013-04-01 15:47 paulh Note Added: 0004761
2013-04-01 15:47 paulh Assigned To => paulh
2013-04-01 15:47 paulh Status new => assigned
2013-04-21 19:22 paulh Note Added: 0004771
2013-04-21 19:22 paulh Status assigned => resolved
2013-04-21 19:22 paulh Resolution open => fixed
2013-04-21 19:22 paulh Fixed in Version => Current GIT
2013-07-06 17:09 ivan Target Version => 3.90beta1


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker